package com.ibiz.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.client.model.IOrgDeptUser;
import com.ibiz.util.SearchContext;

/**
 * 实体[OrgDeptUser] 服务对象接口
 */
public interface IOrgDeptUserClientService{

    public IOrgDeptUser createModel() ;

    public void getDraft(IOrgDeptUser orgdeptuser);

    public void get(IOrgDeptUser orgdeptuser);

    public void save(IOrgDeptUser orgdeptuser);

    public void create(IOrgDeptUser orgdeptuser);

    public void remove(IOrgDeptUser orgdeptuser);

    public void update(IOrgDeptUser orgdeptuser);

    public void checkKey(IOrgDeptUser orgdeptuser);

    public Page<IOrgDeptUser> fetchGetorgdeptuser(SearchContext context);

    public Page<IOrgDeptUser> fetchDefault(SearchContext context);

}
